Bug 566494 - /etc/sysconfig/wpa_supplicant is not sourced in initscript
/etc/sysconfig/wpa_supplicant is not sourced in initscript
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: wpa_supplicant (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
: EasyFix
Depends On:
Blocks: InitScriptsProject
  Show dependency treegraph
 
Reported: 2010-02-18 10:59 EST by kakashizilla
Modified: 2010-05-12 03:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-12 03:51:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description kakashizilla 2010-02-18 10:59:07 EST
Description of problem:
The service wpa_supplicant does not source its configuration file 
/etc/sysconfig/wpa_supplicant.
As consequences, it starts without parameters.

Version-Release number of selected component (if applicable):
wpa_supplicant-0.6.8-8.fc11


How reproducible:
Just look at /etc/init.d/wpa_supplicant

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

I guess the line '. /etc/sysconfig/network' has to be replaced by '. /etc/sysconfig/wpa_supplicant'
Comment 1 Bug Zapper 2010-04-28 07:52:11 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Chen Lei 2010-05-11 05:26:17 EDT
Problem still exist on rawhide.

/etc/rc.d/init.d/wpa_supplicant should source /etc/sysconfig/wpa_supplicant', it's easy to fix.
Comment 3 Dan Williams 2010-05-11 18:45:58 EDT
It does try to source that:

[ -e /etc/sysconfig/$prog ] && . /etc/sysconfig/$prog

where prog is defined as:

prog=$(basename $exec)

which should do the trick.  Is that not working here?
Comment 4 kakashizilla 2010-05-12 03:51:09 EDT
I am now on Fedora 12, and it works for me.
I guess my file was corrupted on Fedora 11.
Sorry.

Note You need to log in before you can comment on or make changes to this bug.